/* Hambuger */
#menu-container .menu-btn {
	position: absolute;
    z-index: 102;
    right: 9px;
    top: 15px;
	color: #fff;
	cursor: pointer;
	background-color: transparent;
}
#menu-container .menu-btn:focus, #menu-container .mobile-menu-btn {
	outline: none;
}

#menu-container .mobile-menu-btn {
	display: none;
	position: absolute;
    z-index: 102;
	left: 30px;
    top: 5vh;
	color: #fff;
	cursor: pointer;
	background-color: transparent;
}

@media only screen and (max-width: 768px) {
	#menu-container .mobile-menu-btn {
		display: block;
	}
}

.main-header.srink {
	width: 75%;
	float: right;
    margin-left: 25%;
}

.icon-bar {
    width: 13px;
    height: 1px;
    background-color: white;
    display: block;
    transition: all 0.2s;
    margin-top: 3px
}

.navbar-toggler {
    border-color: white;
    border: 1px solid white;
    border-radius: 50%;
    padding: 5px 6px;
}

#menu-container .dark.navbar-toggler .icon-bar {
	background-color: black;
}

#menu-container .dark.navbar-toggler {
	border: 1px solid black;
	border-color: black;
}

.nav-open.open {
    left: 21%;
    transition-delay: 0.1s !important;
}

.nav-open.open .menu-button {
	transform: rotate(90deg);
    transition-delay: 0s !important;
}
.nav-open.open .menu-button span {
    height: 0 !important;
    transition-delay: 0s !important;
}

.nav-open.open .menu-button span:before {
    transform: rotate(-45deg);
    margin-top: 6px;
    transition-delay: 0s !important;
    background-color: #000;
}

.nav-open.open .menu-button span:after {
    transform: rotate(45deg);
    margin-top: -2px;
    transition-delay: 0s !important;
    background-color: #000;
}

/* 
#menu-container.open .navbar-toggler .top-bar {
    transform: rotate(45deg);
    transform-origin: 1px 2px;
}

#menu-container.open .navbar-toggler .middle-bar {
    opacity: 0;
    transform: translateX(-3px);
}

#menu-container.open .navbar-toggler .bottom-bar {
    transform: rotate(-45deg);
	transform-origin: 2px -1px;
} */



 .navbar-toggler .top-bar {
    transform: rotate(0);
	margin-top: 3px
}

.navbar-toggler .middle-bar {
    opacity: 1;
    transform: translateX(0px);
    width: 13px;
}

.navbar-toggler .bottom-bar {
	transform: rotate(0);
	margin-bottom: 3px;
}


.nav-open {
	position: absolute;
	cursor: pointer;
	z-index: 99;
	-o-transition: .3s cubic-bezier(0, 0, 0.86, 0.1);
	transition: .3s cubic-bezier(0, 0, 0.86, 0.1);
	left: 2vw;
    min-height: 65px;
    display: flex;
    align-items: center;
}

.main-header {
	background-color: #221e1f;
	position: relative;
	text-align: center;
	min-height: 65px;
	overflow: hidden;
	transition: .3s cubic-bezier(0, 0, 0.86, 0.1);
	padding: 0 2vw;
}

.main-header .logo {
	color: #fff;
    padding: 10px 0;
    display: block;
    height: 100%;
    min-height: 65px;
	overflow: hidden;
	transition: .3s cubic-bezier(0, 0, 0.86, 0.1);
}

.main-header .logo {
	display: flex;
    justify-content: center;
    align-items: center;
}

.main-header .logo .big {
	font-family: 'titleSeq';
    float: left;
    font-size: 22px;
    color: #fff;
    display: block;
    transition: all 0.4s ease-in-out;
    width: 100%;
    text-align: center;
    letter-spacing: 12px;
}

.main-header .logo .small {
	font-family: 'titleSeq';
    float: left;
    font-size: 14px;
    color: #fff;
    display: block;
    transition: all 0.4s ease-in-out;
    width: 100%;
    text-align: center;
    letter-spacing: 12px;
}


.main-header .sgi-btn-holder {
    position: absolute;
    top: 0;
    right: calc( 2vw  );
    height: 100%;
    display: flex;
    align-items: center;
}

.main-header:not(.user-logged) .sgi-btn-holder a.custom-sgi-btn {
    border: 1px solid #fff;
    color: #fff;
    padding: 6px 14px;
    background: none;
    border-radius: .3125em;
    cursor: pointer;
    font-size: 1rem;
    outline: none;
    text-align: center;
    text-decoration: none;
    transition: all .3s ease;
}

.main-header:not(.user-logged) .sgi-btn-holder a:hover {
    background-color: #fff;
    color: #000;
}

.main-header .sgi-btn-holder a svg {
    fill: #fff;
    width: 22px;
    height: 22px;
}



.main-header .cart {
    display: flex;
    align-items: center;
    height: 100%;
	position: absolute;
    top: 0;
    right: calc( 2vw + 105px );
    transition: .3s cubic-bezier(0, 0, 0.86, 0.1);
}

.main-header.user-logged .cart {
    height: 100%;
	position: absolute;
    top: 0;
    right: calc( 2vw + 45px );
}

.main-header.srink .cart {
    right: calc( 2vw + 90px );
}

.main-header.srink.user-logged .cart {
    right: calc( 2vw + 30px );
}

.main-header .cart.has-item::before {
    content: "";
    position: absolute;
    z-index: 4;
    background: #221e1f;
    width: 8px;
    height: 8px;
    top: 45.5%;
    left: 11px;
    border-radius: 50%;
    transform: translateY(-50%);
}

.main-header .social-media {
    height: 100%;
	position: absolute;
    top: 0;
    display: flex;
    align-items: center;
    right: calc( 2vw + 150px );
    transition: .3s cubic-bezier(0, 0, 0.86, 0.1);
}

.main-header.user-logged .social-media {
	position: absolute;
    top: 0;
    display: flex;
    align-items: center;
    right: calc( 2vw + 95px );
    transition: .3s cubic-bezier(0, 0, 0.86, 0.1);
}

.main-header.srink .social-media {
    right: calc( 2vw + 120px );
}

.main-header.srink.user-logged  .social-media {
    right: calc( 2vw + 60px );
}

.menu-button {
    top: 10px;
    width: 40px;
    height: 35px;
    z-index: 105;
    cursor: pointer;
    transition: all 0.15s 0.3s ease-in-out;
	display: block;
	position: relative;
}

.menu-button span {
	display: block;
    height: 2px;
    background-color: #FFF;
    width: 100%;
    border-radius: 1px;
    transition: all 0.15s 0.15s ease-in-out;
}

.menu-button span:after, .menu-button span:before {
	content: '';
    height: 2px;
    width: 100%;
    border-radius: 1px;
    display: block;
    background-color: #FFF;
    position: absolute;
    transition: all 0.15s 0.15s ease-in-out;
}

.menu-button span:before {
	top: 8px;
}
.menu-button span:after {
	top: 16px;
}

/* .nav-open:before {
	top: 0;
	display: block;
    content: "";
    width: 100%;
    height: 100%;
    border-radius: 50%;
    border: 1px solid #221e1f;
	position: absolute;
	animation: signal 2s infinite;
}

.nav-open:after {
	top: 0;
	display: block;
    content: "";
    width: 100%;
    height: 100%;
    border-radius: 50%;
    border: 1px solid #221e1f;
	position: absolute;
	animation: signal 2s infinite 0.5s;
}

@keyframes signal {
	0%   { transform:scale(1); opacity: 1; }
	100% { transform:scale(1.5); opacity: 0.1;}
  } */

/* .nav-open.open {
	left: calc( 25% - 50px );
	transform: rotate(180deg);
} */


/*Header*/
.header {
	position: fixed;
	height: 100vh;
	top: 0;
    left: 0;
    width: 25%;
	overflow: auto;
	transform: translateX( -100% );
    -o-transition: .3s cubic-bezier(0, 0, 0.86, 0.1);
    transition: .3s cubic-bezier(0, 0, 0.86, 0.1);
	will-change: transform;
	padding: 5px 20px 10px;
	background: #fff;
    z-index: 15;
}

.header.open {
	transform: translateX( 0 );
}

.header .header-inner {
	height: 100%;
	padding: 80px 0;
	position: relative;
}

.header .middleText {
	font-family: 'titleSeq';
    float: left;
    font-size: 28px;
    color: #000;
    display: block;
    transition: all 0.4s ease-in-out;
    width: 100%;
    text-align: center;
    letter-spacing: 12px;
}

.header .header-inner .contact {
    padding: 20px 40px;
    position: relative;
    display: flex;
    justify-content: center;
    margin-top: 50px;
}

.header .header-inner .info {
	font-size: 1vw;
	font-family: 'titleSeq';
	text-transform: uppercase;
	margin-bottom: 20px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
.header .header-inner .info a {
	display: block;
}
.header a:hover {
	opacity: 0.8;
}

.header .logo a:hover {
	opacity: 1;
}

.header .nav {
	padding: 20px 40px;
	display: flex;
	flex-direction: row;
	justify-content: center;
}

.header .nav li {
	font-family: 'titleSeq';
    float: left;
    font-size: 1.6vw;
    color: #000;
    display: block;
    transition: all 0.4s ease-in-out;
    width: 100%;
    text-align: center;
    text-transform: uppercase;
    letter-spacing: 12px;
    margin-top: 6px;
}

.header .contact h4 {
	font-family: 'titleSeq';
    font-size: 1.8vw;
    color: #000;
    transition: all 0.4s ease-in-out;
	text-transform: uppercase;
    margin: 0;
    letter-spacing: 12px;
}

.acc-mobile-btn {
    display: none;
}

@media only screen  and (max-width: 1024px) {
    .header {
        width: 50%;
        padding: 5px 8px 10px;
    }
	.main-header .logo .big {
        font-size: 4vw;
        letter-spacing: 6px;
	}
	.main-header .logo .small {
        font-size: 2.5vw;
        letter-spacing: 6px;
    }
    
    .header .middleText {
        font-size: 6vw;
        letter-spacing: 6px;
    }

    .header .nav {
        padding: 20px 10px;
    }

    .header .nav li {
        letter-spacing: 6px;
        font-size: 4vw;
        margin: 5px 0;   
    }

    .header .header-inner .contact {
        padding: 20px 10px;
    }
    .header .contact h4 {
        font-size: 4vw;
        letter-spacing: 6px;
    }

    .header .header-inner .info {
        font-size: 3vw;
    }

    .menu-button {
        width: 30px;
    }

    .nav-open {
        min-height: 93px;
    }

    .nav-open.open {
        left: 38%;
    }
    .main.srink, .main-header.srink {
		width: 100%;
		margin-left: 0;
    }
    
    .main-header .sgi-btn-holder {
        right: calc( 2vw + 5px )!important;
    }

    .main-header .cart {
        right: calc( 2vw + 45px )!important;
    }

    .main-header .social-media {
		display: none;
	}

    .main-header.user-logged .social-media {
        display: none;
    }

    .custom-sgi-btn {
        display: none;
    }

    .acc-mobile-btn {
        display: block;
    }
}

@media only screen  and (max-width: 580px) { 
    .nav-open {
        min-height: 65px;
    }

    .main-header .cart.has-item::before {
        top: 43.5%;
    }
}

@media only screen 
and (min-device-width : 768px) 
and (max-device-width : 1024px) 
and (orientation : landscape)
and (-webkit-min-device-pixel-ratio: 2) {
    .main-header .social-media {
		display: none;
	}
    .header {
        width: 50%;
        padding: 5px 8px 10px;
    }
	.main-header .logo .big {
        font-size: 4vw;
        letter-spacing: 6px;
	}
	.main-header .logo .small {
        font-size: 2.5vw;
        letter-spacing: 6px;
    }
    
    .header .middleText {
        font-size: 6vw;
        letter-spacing: 6px;
    }

    .header .nav {
        padding: 20px 10px;
    }

    .header .nav li {
        letter-spacing: 6px;
        font-size: 4vw;
        margin: 5px 0;   
    }

    .header .header-inner .contact {
        padding: 20px 10px;
    }
    .header .contact h4 {
        font-size: 4vw;
        letter-spacing: 6px;
    }

    .header .header-inner .info {
        font-size: 3vw;
    }

    .menu-button {
        width: 30px;
    }

    .nav-open {
        min-height: 93px;
    }

    .nav-open.open {
        left: 38%;
    }
    .main.srink, .main-header.srink {
		width: 100%;
		margin-left: 0;
    }
    
    .main-header .sgi-btn-holder {
        /* display: none; */
    }

    .main-header .cart {
        right: calc( 2vw + 45px )!important;
    }

    #menu-container .mobile-menu-btn {
		display: block;
	}
    
    /* .acc-mobile-btn {
        display: block;
    } */

}